﻿<?php 


if ( !isset($nosave) )
    $nosave = false;
if ( $nosave==true ) {
    $noedit = true;
} else
    $noedit = false;
if ( !isset($saveas) )
    $saveas=false;
if ( $nosave )
    $saveas=false;
if ( !isset($delcancel) )
	$delcancel = false;
if ( $delcancel )
    $saveas=false; // cannot saveAs new slides
if ( !$nosave ){
	Yii::app()->getClientScript()->registerScriptFile(Yii::app()->request->baseUrl."/scripts/colorpicker.js");
	Yii::app()->getClientScript()->registerCssFile(Yii::app()->request->baseUrl."/css/colorpicker/colorpicker.css");
}
echo CHtml::tag("div", array('id'=>'SlidePreview', 'class'=>'hiden'), " " );

echo CHtml::openTag("table", array('class'=>'slide') );
echo CHtml::openTag("tr", array('class'=>'slide_row') );

// The edit zone
echo CHtml::openTag("td", array( "class"=>"edit_section media_view" ) );
echo CHtml::form( array('modify', 'id'=>$file->id), 'post', array('id'=>'main_form'));

echo CHtml::openTag("div", array('class'=>"slide_top"));
LayoutHelper::openBorders();
echo CHtml::openTag("div", array( "class"=>"preview_section_inside" ) );

    if ( $file->type=='slide' && !$noedit ) {
        echo CHtml::ajaxSubmitButton(   Yii::t('app',"Preview"),
                                        array('showPreview', 'id'=>$file->id),
                                        array(  'beforeSend'=>"function(req) {tb_create_loader(); return true;}",
                                                'success'=>"function(link){ tb_show('".Yii::t('app','Preview')." <span class=\"header_str_cnt\">".$file->name."<\/span>', link, false) }"),
                                            array('class'=>'top-button button',
                                              'title'=>Yii::t('app',"Preview"),
                                              'alt'=>Yii::t('app',"Preview"),
                                              )
                                    );
    }
	echo CHtml::openTag("div", array('class'=>'slide_header') );
    
        if ( $file->type=='slide' || $file->type=='template')
            echo CHtml::tag("h1", array(),  CHtml::tag("span", array('class'=>'header_str_st'), $title . " ") . 
                                            CHtml::tag("span", array('class'=>'header_str_cnt'), $file->name )       
		        );
        else 
            echo CHtml::tag("h1", array(),  CHtml::tag("span", array('class'=>'header_str_st'), $title )
		        );
	echo CHtml::closeTag("div" );

	
	
	$firstfile = true;
	$fields = $file->getFields();

	// The preview files
	echo CHtml::openTag("div", array( "class"=>"slide_preview" ) );
		if ( $nosave ) {
            echo CHtml::image($file->getWebpathPreview(),"preview", array('class'=>'preview_extra'));
        } else {
            echo CHtml::image($file->getTemplatePreview(),"preview", array('class'=>'preview_extra'));
        
            echo CHtml::activeHiddenField($file, "viewBox" );
            $vb = explode(" ", $file->viewBox);
            $height=195;
            $width=347;
            $offx=17;
            $offy=112;
            if ( $width > $height * $vb[2]/$vb[3] ){
                $width = $height * $vb[2]/$vb[3];
            } else {
                $newheight = $width * $vb[3]/$vb[2];
                $offy += ($height - $newheight)/2;
                $height = $newheight;
            }
            
            
            echo CHtml::tag("div", array( 'class'=>'img_select', 
                                          'style'=>"width:{$width}px;
                                                    height:{$height}px;
                                                    top:".($offy-53)."px;
                                                    left:{$offx}px;
                                                    "
                                        ),
                                        " "
                            );		
    }
	echo CHtml::closeTag("div") ."\n";//slide_preview


echo CHtml::closeTag("div" );
LayoutHelper::closeBorders();

if ( $file->hasErrors() ){
	LayoutHelper::openBorders();
	echo CHtml::tag("div", array( "class"=>"slide_errors" ), CHtml::errorSummary($file) );
	LayoutHelper::closeBorders();
}



$nb_media = 0;
$media_idx = -1;
$datafeed=null;
$nbfiles=0;
if (!is_array($fields) )
    $fields = array();
foreach ($fields as $i => $item ) {
    if ( $item->type=="file")
        $nbfiles++;
}
ob_start();
	foreach ($fields as $i => $item ) {
        
        echo CHtml::openTag("div", array("class"=>"slide_item", "id"=>"div_{$i}"));
        echo "\n";
        $htmloptions = array();
        if ( $noedit ) 
            $htmloptions['disabled']='disabled';
        if ( $item->type=="file") {
            echo CHtml::activeHiddenField( $item, "[$i]type" );
            echo CHtml::activeHiddenField( $item, "[$i]name" );
            echo CHtml::activeHiddenField( $item, "[$i]id" );
            if ( $nbfiles>1 && count($fields)>$i+1 && $fields[$i+1]->type!="file" ) { // do not print title for empty files
                echo CHtml::tag("h2", array('class'=>'data-title'), $item->getAttributeLabel('value' ) );
            }
            echo CHtml::closeTag("div");
            echo "\n";
            continue;
        }
        echo CHtml::activeHiddenField( $item, "[$i]id" );
        echo CHtml::activeHiddenField( $item, "[$i]type" );
        echo CHtml::activeHiddenField( $item, "[$i]attrib" );
        echo CHtml::activeHiddenField( $item, "[$i]attribns" );
        echo CHtml::activeHiddenField( $item, "[$i]name" );
		if ( $item->type=="choice" )
			echo CHtml::activeHiddenField( $item, "[$i]choice" );
		
        echo "\n";
        $htmloptions['title']= $item->getAttributeLabel('value');
        
        if ( $item->type=="color" ) {
			
            $htmloptions['class']="color-picker";
			echo CHtml::tag("span", array('class'=>$item->type." data-color"), $item->getAttributeLabel('value' ) );
            echo CHtml::activeTextField( $item, "[$i]value", $htmloptions );
        }elseif ( $item->type=="choice" ) {
			if ( $item->choice=="yesno"  || $item->choice=="yes~;~no" || $item->choice=="no~;~yes")
				$option = array( 'yes'=>Yii::t('app', 'Yes'),'no'=>Yii::t('app', 'No') );
			elseif ( $item->choice=="onoff"  || $item->choice=="on~;~off" || $item->choice=="off~;~on")
				$option = array( 'on'=>Yii::t('app', 'On'),'off'=>Yii::t('app', 'Off') );
			elseif ( $item->choice=="yesnoinherit"  || $item->choice=="yes~;~no~;~inherit" || $item->choice=="no~;~yes~;~inherit"
													|| $item->choice=="inherit~;~yes~;~no" || $item->choice=="inherit~;~no~;~yes")
				$option = array( 'yes'=>Yii::t('app', 'Yes'),'no'=>Yii::t('app', 'No'),'inherit'=>Yii::t('app', 'Default') );
			elseif ( $item->choice=="fonts" ) {
				$option = array();
				$opt = array( "Andale Mono", "Arial", "Arial Black", "Comic Sans MS", "Courier New", "Georgia", 
								 "IPAGothic", "IPAMincho", "IPAPGothic", "IPAPMincho", "Impact", "Loma", "Nafees", "Norasi", 
								 "Times New Roman", "Trebuchet MS", "UnBatang", "UnGraphic", "Verdana", "gargi", "文鼎ＰＬ新宋");
				foreach ($opt as $o)
					$option[$o]=$o;
			}else{
				$option = array();
				$opt = explode("~;~", $item->choice);
                if ( is_array( $opt ) )
				foreach ($opt as $o)
					$option[$o]=$o;
			}
			echo CHtml::tag("span", array('class'=>$item->type." data-select"), $item->getAttributeLabel('value' ) );
            $htmloptions['class']=$item->type." data-select";
			echo CHtml::activeDropDownList( $item, "[$i]value", $option,  
																$htmloptions );
        }elseif ( $item->type=="datafeeds") {
			$datafeed = $item;
			
			echo CHtml::activeHiddenField( $item, "[$i]value", array('id'=>"datafeed_$i") );
			echo CHtml::activeHiddenField( $item, "[$i]position");
	
			if ( Yii::app()->user->checkAccess("feeds") && !$noedit ) {
				$name = $item->type;
				$medialist = array_merge(array(""=>"default"), CHtml::listData($$name, "id", "name") );
			
				echo CHtml::button(Yii::t('app','Change'), array('onclick'=>'changeSource()', 'class'=>'datafeeds_name datafeeds_edit'));
			
				echo CHtml::textField( "feddname",  $medialist[$item->value], 
													array(  'class'=>'datafeeds_name datafeeds_show data-text', 
															'disabled'=>'disabled',
															'title'=>$htmloptions['title']
														) 
									) ." ";
				
				echo CHtml::activeDropDownList( $item, "[$i]value", 
												array_merge(array(""=>"default"), $medialist ), 
												array( 'class'=>'datafeeds_select datafeeds_selectname data-text hidden' ) );
			
			}     
        } elseif ( $item->type=="audio" || $item->type=="video" || $item->type=="image" || $item->type=="animation") {
            $name = $item->type;
            $target = null; 
            $check = array( $audio, $video, $image, $project, $playlist);
            foreach ( $check as $src ) if ( is_array($src) )
                foreach ( $src as $media ) 
                    if ( $media->id == $item->value ){
                        $target = $media;
                        break;
                    }
            if ( $target==null ) {
				$target = new FileItem(array('type'=>'template', 'name'=>$item->getAttributeLabel('value')));
				
				echo CHtml::activeHiddenField( $item, "[$i]value", array('id'=>"media_id___{$i}", "value"=>"") );
				echo CHtml::hiddenField( "preview[][{$item->position}]", "", array('id'=>"pos_prev___{$i}"));
            } else {
				echo CHtml::activeHiddenField( $item, "[$i]value", array('id'=>"media_id___{$i}") );
				echo CHtml::hiddenField( "preview[][{$item->position}]", $target->webpathPreview, array('id'=>"pos_prev___{$i}"));
			}
			
            $htmloptions['class']='preview_normal droppable';
            $htmloptions['id']="media_prev_{$i}";
			echo CHtml::tag("div", array('class'=>'media_clear'), "");
            echo CHtml::tag("div", array('class'=>'media_preview'), 
                                    CHtml::image($target->webpathPreview, "preview", $htmloptions )
                            );

            $htmloptions['class']='media_name data-text';
            $htmloptions['id']="media_name_{$i}";
            echo CHtml::textField( "medianame", $target->name, array_merge(array('disabled'=>'disabled'), $htmloptions) ) ." ";
                                  
            
            
			$obj = explode(" ", $item->position);
            if ( count($obj)==4 && count($vb)==4 ) {
                
				$x = $offx + $obj[0]/$vb[2]*$width;
				$y = $offy + $obj[1]/$vb[3]*$height;
				$w = $obj[2]/$vb[2]*$width;
				$h = $obj[3]/$vb[3]*$height;
				echo CHtml::tag("div", array( 	'id'=>"image_sel__{$i}",
												'class'=>'img_select item_select droppable', 
												'style'=>"width:{$w}px; height:{$h}px; top:{$y}px; left:{$x}px;"
										),
										" "
							);		
                $htmloptions['class']='media_select hidden';
                $htmloptions['id']="media_sel__{$i}";
                $htmloptions['onclick']="addSelectedItem(this)";
                $htmloptions['style']="top:".($y+$h-20)."px; left:".($x+$w-20)."px;";
                //echo CHtml::image("images/select.gif", Yii::t('app',"Select"), $htmloptions );
                echo CHtml::tag("div", $htmloptions, " " );
			}
            $nb_media++;
            $media_idx  = $i;
       
        } else if ($item->type=='rich' || $item->type=='textarea'){
			if( $nosave && $file->type=='template' )
				$item->value = $item->getAttributeLabel('value');
			
            $htmloptions['class']=$item->type." data-text";
            echo CHtml::activeTextArea( $item, "[$i]value", $htmloptions );
        } else {
			if( $nosave && $file->type=='template' )
				$item->value = $item->getAttributeLabel('value');
			
            $htmloptions['class']=$item->type." data-text";
            echo CHtml::activeTextField( $item, "[$i]value", $htmloptions );
        }
        echo CHtml::closeTag("div");
        echo "\n";
    }
	
	$main_tab = ob_get_contents();
ob_end_clean();
		
ob_start();
	echo CHtml::tag("div", array('class'=>"slide_footer_begin"), " " );
	echo CHtml::openTag("div", array('class'=>"slide_footer") );
	if ( $nosave==false ) {
		echo CHtml::openTag("div", array('class'=>"bottom-button") );
		echo CHtml::submitButton(Yii::t('app','Cancel'), array( "submit"=>"", 
																"params"=>array("action"=>"Cancel"),
																"class"=>"left-button button",
															)
								)." ";  
        if ($delcancel)
			echo CHtml::button(Yii::t('app', 'Save'), array(    "class"=>"right-button button",
															"onclick"=>"activateDialog()"
													)
								)." "; 
		else
			echo CHtml::submitButton(Yii::t('app','Save'), array(   "submit"=>"", 
																	"params"=>array("action"=>"Save"),
																	"class"=>"right-button button",
																)
									)." ";  
		
        if ($delcancel){
			echo CHtml::hiddenField( "delcancel", true );
            echo CHtml::hiddenField( 'rename', $file->name, array('id'=>'new_name_target') );
            echo CHtml::hiddenField("action","Create", array('disabled'=>'disabled', 'id'=>'new_name_enabled'));
        }

		echo CHtml::closeTag("div") ."\n"; //button_line
	}
	if ( $saveas==true ) {
		echo CHtml::openTag("div", array('class'=>"bottom-button") );
		echo CHtml::button(Yii::t('app', 'Copy'), array(    "class"=>"right-button button",
															"onclick"=>"activateDialog()"
													)
								)." "; 
		
        echo CHtml::activeHiddenField( $file, 'name', array('id'=>'new_name_target') );
        echo CHtml::hiddenField("action","SaveAs", array('disabled'=>'disabled', 'id'=>'new_name_enabled'));
		echo CHtml::closeTag("div") ."\n"; //button_line
	}
    if ( $file->type=='template' && Yii::app()->user->checkAccess("createSlide") ) {
        echo CHtml::openTag("div", array('class'=>"bottom-button") );
        echo CHtml::button( Yii::t('app', 'Select'), array("class"=>"right-button button", "submit"=>array("slides/create", "id"=>$file->id ) ) );
		echo CHtml::closeTag("div") ."\n"; //button_line
    
    }
	echo CHtml::closeTag("div") ."\n";//slide_footer

	$title=$desc=array();
	if ( $nosave ) {
		if ( Yii::app()->user->checkAccess("createSlide") ) {
			if ( $file->type=='slide' ){
				$title[] =  Yii::t('app', "Tip Edit Slides");
				$desc[] =   CHtml::encode( Yii::t('app', "You can edit Slide content using the Slides menu.") );
			} else {
				$title[] =  Yii::t('app', "Tip Create Slides");
				$desc[] =   CHtml::encode( Yii::t('app', "You can create a new slide based on this template using the Select button or the New icon on the Template selection page.") );
			}
		} else if ($datafeed==null) {
			$title[] =  Yii::t('app', "Tip Slides");
			$desc[] =   CHtml::encode( Yii::t('app', "Slides let you display custom text and media inside your Program.") ). " " .
						CHtml::encode( Yii::t('app', "Login as a user with 'Editor' rights to edit Slides.") );
		}
		if ( $datafeed!=null) {
			$title[] =  Yii::t('app', "Tip Multiple Pages");
			$desc[] =   CHtml::encode( Yii::t('app', "This Slide contains multiple pages. The first tab shows the parameters valid for all pages.") ) ." ".
						CHtml::encode( Yii::t('app', "Each additional tab shows the content of the associated page.") );
		}
	} else {
		$title[] =  Yii::t('app', "Tip Field Description");
		$desc[] =   CHtml::encode( Yii::t('app', "To get the description of an input field, move your cursor over it.") ) ."<br/>".
					CHtml::encode( Yii::t('app', "If the field is empty the description will be shown in gray inside it as a watermark.") );
        if ( $file->type=='slide' ) {
            $title[] =  Yii::t('app', "Tip Display Slides");
            $desc[] =   CHtml::encode( Yii::t('app', "Remember to add your Slides to Programs to display them on the screen.") );
            if ( $saveas ){
                $title[] =  Yii::t('app', "Tip Create Copy");
                $desc[] =   CHtml::encode( Yii::t('app', "You can create a copy of your slide and save it under a new name using the Copy button.") );
            }
            if ( $datafeed!=null ){
                $title[] =  Yii::t('app', "Tip Multiple Pages");
                $desc[] =   CHtml::encode( Yii::t('app', "This Slide contains multiple pages. The first tab shows the parameters valid for all pages.") ) ." ".
                            CHtml::encode( Yii::t('app', "Each additional tab shows the content of one page.") );
                $title[] =Yii::t('app', "Icon Description");
                $d =  "";  
                $d .= CHtml::image('images/x.gif', Yii::t('app','Delete'), array('class'=>'icon-desc') ) . " " .Yii::t('app','Remove a page'). " ";
                $d .=  CHtml::image('images/add.gif', Yii::t('app','Add'), array('class'=>'icon-desc')). " " .Yii::t('app','Add a new page'). " ";
                $desc[] = $d;
            }
        }
	}
	$this->widget('application.components.Tip',array(   'title' => $title, 'desc' =>  $desc  ) );   
	$footer = ob_get_contents();
ob_end_clean();
echo CHtml::closeTag("div");

echo CHtml::openTag("div", array('class'=>"slide_bottom"));
if ($datafeed==null ) {
	LayoutHelper::openBorders();
	echo CHtml::tag("div", array('class'=>"slide_bottom_simple"), $main_tab . $footer);
	LayoutHelper::closeBorders();
}elseif ( $datafeed->value=="" ) {
    
	$data = $this->widget('DisplayDatafeeds',array( 'entries'=> $file->datafeedsentries,
													'nb_media'=>$nb_media,
													'item_per_page'=>$file->itemPerPage,
													'position'=>$item->position,
													'fisrt_tab'=>$main_tab,
													'footer'=>$footer,
													'save'=>!$nosave,
													'preview'=>array($width, $height, $offx, $offy, $vb),
													'media_array'=> array( $audio, $video, $image, $project, $playlist)
												)
							);
} else {
	$item=$datafeed;
	       
	if ( $item->value!="" ) {
		//echo CHtml::closeTag("div") . CHtml::openTag("div", array('class'=>'slide_item datafeeds_data') );
		
		$datafile = new Feeds( array('id'=>$item->value) );
		$data = $this->widget('DisplayDatafeeds',array( 'feeds'=> $datafile,
														'nb_media'=>$nb_media,
														'item_per_page'=>$file->itemPerPage,
														'position'=>$item->position,
														'fisrt_tab'=>$main_tab,
														'footer'=>$footer,
                                                        'save'=>!$nosave,
														'preview'=>array($width, $height, $offx, $offy, $vb),
														'media_array'=> array( $audio, $video, $image, $project, $playlist)
													)
							);
		if ( $nb_media!=$data->nb_media )
			$media_idx = -1;
		$nb_media = $data->nb_media;
	}
    echo CHtml::activeHiddenField( $file, 'itemPerPage' );
}
if ( $nb_media>1 ) {
    $media_idx = -1;
}

// drawings:
echo CHtml::closeTag("div"); //, array('class'=>'edit_section') );

    // the dialog for edit
if ( $saveas==true || $delcancel ) {
	if ( $delcancel ){
		$bname = Yii::t('app', 'Save');
        $tname2 = Yii::t('app', 'Please choose a name');
    }else{
		$bname = Yii::t('app', 'Copy');
        $tname2 = Yii::t('app', 'Create a copy');
    }
	echo CHtml::openTag("div", array(   'id'=>"copy_dialog", 
                                        'title'=>$tname2,
                                        'class'=>'hidden'
                                    )
                        );
    
    LayoutHelper::openBorders();
    echo CHtml::openTag("div", array('class'=>'dialog_inside') );
    if ( $delcancel  )
        echo CHtml::tag("h1", array(), Yii::t('app', 'New Slide')); 
    else
        echo CHtml::tag("h1", array(), Yii::t('app', 'Copy Slide')); 
    echo CHtml::activeTextField( $file, 'name', array('id'=>'new_name_dialog') );
    
    echo CHtml::openTag("div", array('class'=>'bottom-button') );
    echo CHtml::button(Yii::t('app','Cancel'), array(   "class"=>"left-button",
                                                        "onclick"=>"cancelDialog()"
                                                        )
                            )." ";
    echo CHtml::button($bname, array ("class"=>"save right-button",
                                                     "onclick"=>"saveDialog()"
                                                        )
                            )." "; 
    echo CHtml::closeTag("div");
    echo CHtml::closeTag("div");
    LayoutHelper::closeBorders();
    
    echo CHtml::closeTag("div");
}

echo CHtml::endForm();
echo CHtml::closeTag("td" );
    
if ( !$noedit ) {    
    // The media files

    // the media selection dialog
    $pages = array( ); 
    $sources = array(   Yii::t('app','Images') => $image, 
                        Yii::t('app','Videos') => $video,  
                        Yii::t('app','Audio') => $audio, 
                        Yii::t('app','Playlists ') => $playlist, 
						Yii::t('app','Hypermedia') => $project, 
                        
                    );

    foreach ($sources as $name => $data) {
        if ( isset($data) && is_array($data) && count($data)>0 ) {
            $title=$desc=array();
            
			if ( $nb_media==0 && count($data)>15) {
				// just to simplify the view
                $data  = array_splice($data, count($data)-15 ); 
			}
			if ( $nb_media==0 ) {
				$title[] = Yii::t('app', "Tip No Media");
				$desc[] = CHtml::encode( Yii::t('app', "This Slide does not use media. If you want to use media, select another template to create your Slide.") );
			} else if ( $media_idx!=-1 ) {
				$title[] = Yii::t('app', "Tip Add Media");
				$desc[] = CHtml::encode( Yii::t('app', "Drag and drop the media to the preview on the left or click the Add icon.") );
			} else {
				$title[] = Yii::t('app', "Add Media");
                $desc[] = CHtml::encode( Yii::t('app', "Drag and drop the media to the preview on the left or click the Add icon.") ) ." ".
                          CHtml::encode( Yii::t('app', "Then click on the preview to select the target position.") );				
			}
            $title[] = Yii::t('app', "Icon Description");
            $d =  "";  
            $d .= CHtml::image('images/left.gif', Yii::t('app','Add'), array('class'=>'icon-desc') ) . " " .Yii::t('app','Add media to the Slide'). " ";
            $d .= CHtml::image('images/view.gif', Yii::t('app','View'), array('class'=>'icon-desc') ) . " " .Yii::t('app','View'). " ";
            $desc[] = $d;
			
            $widget_content = $this->widget('MediaSelect',array('data' => $data, 'title'=>$title , 'desc'=>$desc, 'type'=>($nb_media==0)?'none':'add' ), true );
            $pages[$name] =array( 'content' => $widget_content  );                    
        }
    }
     
    echo CHtml::openTag("td", array(   "class"=>"media_files",
                                        ) 
                            );
    if ( count($pages)==0 ) {
		$title = Yii::t('app', "No Media");
		
        if ( !Yii::app()->user->checkAccess("file") ) {
			$desc =   Yii::t('app', "There is currently no Media available.") .
									"<br/>" .
									Yii::t('app', "Login as a user with 'Creator' rights to upload Media into the system.");
            
        } else {
            $desc =   Yii::t('app', "There is currently no Media available.") .
									"<br/>" .
									Yii::t('app', "Go to the Media page to upload new Media files");
        }
		$data = array(   );
		$widget_content = $this->widget('MediaSelect',array('data' => $data, 'title'=>$title , 'desc'=>$desc, 'type'=>'none' ), true );
        $pages[Yii::t('app','Images')] =array( 'content' => $widget_content  );   
    } 
	
	$this->widget('CJuiTabsExt',array(
		'theme'=>'spxfusion',
		'tabs' => $pages,
		'id'=>'MediaFiles'
		)
	);
    
    echo CHtml::closeTag("td"); //media_files
}
echo CHtml::closeTag("tr" ); //edit
echo CHtml::closeTag("table" ); //, array('class'=>'slide') );

if ( !$noedit ) {    
	
?>
<script type="text/javascript">

function setMarks( p ) {
    $("input", p).each( function() {
        $(this).watermark($(this).attr('title'), {className: 'watermark'});
    });
    $("textArea", p).each( function() {
        $(this).watermark($(this).attr('title'), {className: 'watermark'});
    });
};

function fixHeights() {

	var minHeight=316;
	var media = $(".inside_tabs", $("#MediaFiles"));
    var edit = $(".slide_bottom_simple");
	var off=313;
	if (edit.length==0 ) {
		edit = $(".slide_bottom_pages");
		off-=29;
	}
    
	media.height("");
	edit.height("");
	var editH = edit.height();
	var mediaH = media.height();
	
	if ( editH+off<minHeight && mediaH<minHeight ) {
 		 media.height(minHeight);
        
        edit.height(minHeight-off);
	} else if ( editH+off>mediaH) {
		media.height(editH+off);
	} else if ( mediaH>editH+off){
		edit.height(mediaH-off);
    }
}

function changeSource() {
    $('.datafeeds_name').hide();
    $('.datafeeds_select').show();
    $('.datafeeds_data').remove();
}

function activateDialog() {
    tb_show("Save", "#TB_inline?height=300&width=472&inlineId=copy_dialog");
}
function saveDialog() {
    $('#new_name_target').val( $('#new_name_dialog').val() );
    //$('#copy_dialog').dialog('close');
    tb_remove();
    
    $('#new_name_enabled').attr('disabled',"");
    $('#main_form').submit();
}
function cancelDialog() {
    tb_remove();
}

function addDrop( where ) {
	where.droppable( {
		hoverClass: "ui-state-active",
		drop: function( event, ui ) {
				var meta = $(".meta-data", ui.draggable).text();
				var data = meta.split(';');
				current_idx = $(this).attr('id').substr(11);
				addNewItem( data[1], data[0], data[3], data[2] );
			}
		}
	);
}
	
		
var current_idx = <?php echo $media_idx;?>;
var current_fileId ="";
var current_fileName ="";
var current_previewPath ="";
$(function() {
    $(".draggable").draggable({
        connectToSortable: '#sortable',
        cursor: "move",
        cursorAt: { top:8, left: 10 }, 
        helper: function( event, ui ) {
                    var meta = $(".meta-data", $(this)).text();
                    var data = meta.split(';');
                    //$(".slide_edit_section").append("<div class='ui-widget-header' id='marker' style='z-index:1000' >"+data[1]+"<\/div>" );
                    $(".edit_section").append("<div id='marker' style='z-index:1000;' ><div class='preview_normal drag'> <img class='preview_normal'  src='"+data[3]+"' /><\/div><\/div>" );
                    return $( "#marker" );
                }, 
        revert: 'invalid',
        start: function(event, ui) {  $('.img_select').show(); },
        stop: function(event, ui) { $('.img_select').hide(); }
    });
	
	addDrop( $(".droppable") );
    
    setMarks($('.slide_bottom'));
	
	$( "#MediaFiles" ).bind( "tabsshow", function(event, ui) {
	  fixHeights();
	});
	
	$(".duration").blur( function( ) {
		var val = $(this).val();
		// we accept "", "hh:mm:ss" or "ss" as time, "hh:mm" is converted to "hh:mm:ss", other values are removed
		if (val==""){ 
			if ( $(this).hasClass('error') ){
				nbErrors--;
				if ( nbErrors==0 )
					$('.save').unbind('click', hasErrors);
			}
			$(this).removeClass('error');
			$(this).attr('title', "");
			return;
		}
		var sec=null;
		if ( val.match(/^\d+:\d+:\d+/) ){
            var m = val.split(":");
            sec = parseInt(m[0],10)*3600;
            sec += parseInt(m[1],10)*60;
            sec += parseInt(m[2],10);
        } else if ( val.match(/^\d+:\d+/) ){
            var m = val.split(":");
            sec = parseInt(m[0],10)*3600;
            sec += parseInt(m[1],10)*60;
        } else if ( val.match(/^\d+s?/) ) { 
            sec = parseInt(val,10);
        }
        if ( sec!=null ) {
			if (sec>24*3600) 
				sec=24*3600;		
			sec -= h*3600;
			if (h<10) h = '0'+h;
			var m = Math.floor(sec/60);
			if (m<10) m = '0'+m;
			sec -= m*60;
			if (sec<10) sec = '0'+sec;
			$(this).val( h+":"+m+":"+sec);                
			if ( $(this).hasClass('error') ){
				nbErrors--;
				if ( nbErrors==0 )
					$('.save').unbind('click', hasErrors);
			}
			
			$(this).removeClass('error');
			$(this).attr('title', "");
		} else {
			// error
			if ( !$(this).hasClass('error') ) {
				if (nbErrors==0)
					$('.save').bind('click', hasErrors);
				nbErrors++;
			}
			$(this).addClass('error');
			$(this).attr('title', "<?php echo Yii::t('app',"Input format is not valid. Valid format is 'hh:mm:ss'"); ?>" );
		}
	});
});


    
function addNewItem( fileName, fileId, previewPath, linkpath ) {
    //$('#media_selection').hide();
    if ( current_idx!=-1 ) { 
        var node = $('#media_id___'+current_idx);
        if ( node ) node.attr('value', fileId);
        
        node = $('#media_name_'+current_idx);
        if ( node ) node.attr('value', fileName);
        
        node = $('#media_prev_'+current_idx);
        if ( node ) node.attr('src', previewPath);
		
		node = $('#pos_prev___'+current_idx);
        if ( node ) node.attr('value', previewPath);
        
        node = $('#media_link_'+current_idx);
        if ( node ) node.attr('value', linkpath);
        
        current_idx = <?php echo $media_idx;?>;
    } else {
        current_fileId = fileId;
        current_fileName = fileName;
        current_previewPath = previewPath;
        current_linkpath = linkpath;
        $(".media_select").show();
        $('.add_icon').hide();
        $('.img_select').show();
    }
    
}
function addSelectedItem( node ) {
    current_idx = $(node).attr('id').substr(11);
    addNewItem( current_fileName, current_fileId, current_previewPath, current_linkpath );
    $('.add_icon').show();
    $('.media_select').hide();
    $('.img_select').hide();
}

 $(".color-picker").ColorPicker( {
            onSubmit: function(hsb, hex, rgb, el) {
                $(el).val("#"+hex);
                $(el).ColorPickerHide();
            },
            onBeforeShow: function () {
                $(this).ColorPickerSetColor(this.value.substring(1));
            }
        });

function show_sub_preview( i, el ) {
    $('.hide_this_'+i).hide().attr('disabled', 'disabled'); 
    $(el).parent().find('.hide-preview').hide();
    var sel = $('#select_'+i+'_'+$('#select_'+i+'_type').val());
    sel.show();
    sel.attr('disabled', '');
    sel.each( function() { show_preview(i, this); });
    
}

function show_preview( i, el ) {
    var id = $(el).val();
    var targetid ='display_'+ i +'_'+id;
    $(el).parent().find('.hide-preview').hide();
    var it= document.getElementById(targetid);
    $(it).show();
}

</script>

<?php
}